// Generated by CoffeeScript 1.9.0
var caret, changedType, currentField, digilibURL, field, formularName, generateForm, genericPane, keywordReplacing, modalToLoad, queryFolder, tgSID, tgURI, tgf, type;

tgf = new tgForms;

caret = ' <span class="caret"></span>';

digilibURL = 'http://textgrid-esx1.gwdg.de/1.0/digilib/rest/digilib/';

genericPane = '<div class="tab-pane">';

currentField = {};

field = {};

tgURI = "";

tgSID = "";

type = "";

changedType = "";

formularName = "";

modalToLoad = "";

queryFolder = "/home/max/textGridModules/bdnDatabase/src/main/webapp/sparql/";

$(document).on("ready click", "li.objectTypeSelection", function(e) {
  var formularType;
  e.preventDefault();
  console.log("ready for Object Selection");
  formularType = $(this).attr('id').replace(/_/, ':');
  return generateForm(formularType);
});

generateForm = function(formularType) {
  changedType = formularType.split(":");
  changedType = changedType[1];
  return $.ajax({
    type: "GET",
    url: "idiom.ttl",
    mimeType: "text/turtle"
  }).done(function(data) {
    var addCall;
    addCall = function() {
      return tgf.buildForm(formularType, "div#content");
    };
    return tgf.addTurtle(data, addCall);
  });
};

$(document).on("ready click", "button.searchOp", function(e) {
  var $this, load;
  e.preventDefault();
  $this = $(this);
  $(this).attr('disabled', 'disabled');
  $(this).next().removeAttr('disabled');
  load = $(this).parent().parent().attr('data-tgforms-name').replace(/:/, '_');
  currentField = $this.closest("div.form-group");
  modalToLoad = load;
  $('div#' + load).modal('show');
  $('div#' + load + 'Results').empty();
  $('div#' + load + '-input').text('');
  console.log("Modal to Load: " + modalToLoad);
  return $(document).on("ready click", 'button#' + modalToLoad + 'Search', function(e) {
    var keyword, query, request;
    e.preventDefault();
    $this = $(this);
    $this.prop('disabled', true);
    $this.text('Please Wait');
    keyword = $('input#' + modalToLoad + '-input').val();
    keyword = keywordReplacing(keyword);
    query = getLitQuery(keyword);
    console.log("query: " + query);
    request = {
      'query': query
    };
    return $.ajax({
      type: 'GET',
      url: 'http://www.idiom-projekt.de/1.0/idiomLit/query',
      cache: false,
      dataType: "json",
      data: request,
      cache: false
    }).done(function(data) {
      var id, result, results, _i, _len;
      results = data['results']['bindings'];
      $('div#' + modalToLoad + ' .modal-header').append('<h3>' + results.length + ' Matches </h3>');
      for (_i = 0, _len = results.length; _i < _len; _i++) {
        result = results[_i];
        id = result['articles']['value'];
        $('div#' + modalToLoad + 'Results').append('<div class="radio"> <label> <input type="radio" name="source-radios" value="' + id + '"> <strong>' + id + '</strong> </label> </div>');
      }
      $this.prop('disabled', false);
      return $this.text('Search');
    });
  });
});

keywordReplacing = function(keyword) {
  keyword = keyword.replace(/a/g, "[áāăąa]");
  keyword = keyword.replace(/A/g, "[ĀĂĄA]");
  keyword = keyword.replace(/c/g, "[ćĉċčc]");
  keyword = keyword.replace(/C/g, "[ĆĈĊČC]");
  keyword = keyword.replace(/d/g, "[ďđd]");
  keyword = keyword.replace(/D/g, "[ĎĐD]");
  keyword = keyword.replace(/e/g, "[éēĕėęěe]");
  keyword = keyword.replace(/E/g, "[ĒĔĖĘĚE]");
  keyword = keyword.replace(/g/g, "[ĝğġģg]");
  keyword = keyword.replace(/G/g, "[ĜĞĠĢG]");
  keyword = keyword.replace(/h/g, "[ĥħh]");
  keyword = keyword.replace(/H/g, "[ĤĦH]");
  keyword = keyword.replace(/i/g, "[íĩīĭįıi]");
  keyword = keyword.replace(/I/g, "[ĨĪĬĮİI]");
  keyword = keyword.replace(/j/g, "[ĳĵj]");
  keyword = keyword.replace(/J/g, "[ĲĴJ]");
  keyword = keyword.replace(/k/g, "[ķĸk]");
  keyword = keyword.replace(/K/g, "[ĶK]");
  keyword = keyword.replace(/l/g, "[łĺļľŀl]");
  keyword = keyword.replace(/L/g, "[ĹĻĽĿŁL]");
  keyword = keyword.replace(/n/g, "[ñńņňŉŋn]");
  keyword = keyword.replace(/N/g, "[ŃŅŇŊN]");
  keyword = keyword.replace(/o/g, "[óōŏőœo]");
  keyword = keyword.replace(/O/g, "[ŌŎŐŒO]");
  keyword = keyword.replace(/r/g, "[ŕŗřr]");
  keyword = keyword.replace(/R/g, "[ŔŖŘR]");
  keyword = keyword.replace(/s/g, "[śŝşšs]");
  keyword = keyword.replace(/S/g, "[ŚŜŞŠS]");
  keyword = keyword.replace(/t/g, "[ţťŧt]");
  keyword = keyword.replace(/T/g, "[TŤŦŢ]");
  keyword = keyword.replace(/u/g, "[úũūŭůűųu]");
  keyword = keyword.replace(/U/g, "[ŨŪŬŮŰŲU]");
  keyword = keyword.replace(/w/g, "[ŵw]");
  keyword = keyword.replace(/W/g, "[ŴW]");
  keyword = keyword.replace(/y/g, "[ŷy]");
  keyword = keyword.replace(/Y/g, "[ŶŸY]");
  keyword = keyword.replace(/z/g, "[źżžz]");
  keyword = keyword.replace(/Z/g, "[ŹŹŻŽZ]");
  keyword = keyword.replace(/'/g, "['‘’]");
  return keyword = keyword.replace(/"/g, "[\"”«»]");
};
